Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly
Class MissingAttributeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.jelly.JellyException
                  org.apache.commons.jelly.JellyTagException
                      org.apache.commons.jelly.MissingAttributeException

All Implemented Interfaces:
  java.io.Serializable, LocationAware

    public class MissingAttributeException

extends JellyTagException

`JellyException` is the root of all Jelly exceptions.

Version:
  $Revision: 155420 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`MissingAttributeException(java.lang.String missingAttribute)`

Method Summary
`java.lang.String` | `getMissingAttribute()`

Methods inherited from class org.apache.commons.jelly.JellyException
`getCause, getColumnNumber, getElementName, getFileName, getLineNumber, getMessage, getReason, printStackTrace, printStackTrace, printStackTrace, setColumnNumber, setElementName, setFileName, setLineNumber`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingAttributeException

    public MissingAttributeException(java.lang.String missingAttribute)

Method Detail

### getMissingAttribute

    public java.lang.String getMissingAttribute()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.